<script setup>
import { computed } from "vue";

const props = defineProps({
    modelValue: String,
    keyIndex: String,
    valueIndex: String,
    labelIndex: String,
    items: Array,
});
const emit = defineEmits(["update:modelValue"]);

const value = computed({
    get() {
        console.log(props.modelValue.id);
        return props.modelValue;
    },
    set(value) {
        emit("update:modelValue", value);
    },
});

console.log(props.items[0].name);

const selected = value;
</script>

<template>
    <div class="mb-5">
        <label
            class="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
            >{{ labelIndex }}</label
        >
        <select
            ref="input"
            :value="modelValue"
            class="border-gray-300 w-full focus:border-indigo-300 focus:ring focus:ring-indigo-200 focus:ring-opacity-50 rounded-md shadow-sm"
            @change="$emit('update:modelValue', $event.target.value)"
        >
            <option
                v-for="item in items"
                :key="item[keyIndex]"
                :value="item[valueIndex]"
            >
                {{ item["name"] }}
            </option>
        </select>
    </div>
</template>
